## org.gnu.atk
Class StateType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.atk.StateType

public class StateType
extends Enum

Field Summary
`static StateType` `ACTIVE`
`static StateType` `ARMED`
`static StateType` `BUSY`
`static StateType` `CHECKED`
`static StateType` `DEFUNCT`
`static StateType` `EDITABLE`
`static StateType` `ENABLED`
`static StateType` `EXPANDABLE`
`static StateType` `EXPANDED`
`static StateType` `FOCUSABLE`
`static StateType` `FOCUSED`
`static StateType` `HORIZONTAL`
`static StateType` `ICONIFIED`
`static StateType` `INDETERMINATE`
`static StateType` `INVALID`
`static StateType` `LAST_DEFINED`
`static StateType` `MANAGES_DESCENDANTS`
`static StateType` `MODAL`
`static StateType` `MULTI_LINE`
`static StateType` `MULTISELECTABLE`
`static StateType` `OPAQUE`
`static StateType` `PRESSED`
`static StateType` `RESIZABLE`
`static StateType` `SELECTABLE`
`static StateType` `SELECTED`
`static StateType` `SENSITIVE`
`static StateType` `SHOWING`
`static StateType` `SINGLE_LINE`
`static StateType` `STALE`
`static StateType` `TRANSIENT`
`static StateType` `TRUNCATED`
`static StateType` `VERTICAL`
`static StateType` `VISIBLE`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`StateType` `and(StateType other)`
`protected static int` `atk_state_type_for_name(byte[] name)`
`protected static byte[]` `atk_state_type_get_name(int type)`
`static StateType` `intern(int value)`
`StateType` `or(StateType other)`
`boolean` `test(StateType other)`
`StateType` `xor(StateType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVALID

    public static final StateType INVALID

### ACTIVE

    public static final StateType ACTIVE

### ARMED

    public static final StateType ARMED

### BUSY

    public static final StateType BUSY

### CHECKED

    public static final StateType CHECKED

### DEFUNCT

    public static final StateType DEFUNCT

### EDITABLE

    public static final StateType EDITABLE

### ENABLED

    public static final StateType ENABLED

### EXPANDABLE

    public static final StateType EXPANDABLE

### EXPANDED

    public static final StateType EXPANDED

### FOCUSABLE

    public static final StateType FOCUSABLE

### FOCUSED

    public static final StateType FOCUSED

### HORIZONTAL

    public static final StateType HORIZONTAL

### ICONIFIED

    public static final StateType ICONIFIED

### MODAL

    public static final StateType MODAL

### MULTI_LINE

    public static final StateType MULTI_LINE

### MULTISELECTABLE

    public static final StateType MULTISELECTABLE

### OPAQUE

    public static final StateType OPAQUE

### PRESSED

    public static final StateType PRESSED

### RESIZABLE

    public static final StateType RESIZABLE

### SELECTABLE

    public static final StateType SELECTABLE

### SELECTED

    public static final StateType SELECTED

### SENSITIVE

    public static final StateType SENSITIVE

### SHOWING

    public static final StateType SHOWING

### SINGLE_LINE

    public static final StateType SINGLE_LINE

### STALE

    public static final StateType STALE

### TRANSIENT

    public static final StateType TRANSIENT

### VERTICAL

    public static final StateType VERTICAL

### VISIBLE

    public static final StateType VISIBLE

### MANAGES_DESCENDANTS

    public static final StateType MANAGES_DESCENDANTS

### INDETERMINATE

    public static final StateType INDETERMINATE

### TRUNCATED

    public static final StateType TRUNCATED

### LAST_DEFINED

    public static final StateType LAST_DEFINED

Method Detail

### intern

    public static StateType intern(int value)

### or

    public StateType or(StateType other)

### and

    public StateType and(StateType other)

### xor

    public StateType xor(StateType other)

### test

    public boolean test(StateType other)

### atk_state_type_get_name

    protected static final byte[] atk_state_type_get_name(int type)

### atk_state_type_for_name

    protected static final int atk_state_type_for_name(byte[] name)